#ifndef SHORTCUTITEM_H
#define SHORTCUTITEM_H

#include <QObject>

class ShortCutItem : public QObject
{
    Q_OBJECT
public:
    explicit ShortCutItem(QObject *parent = 0);

    ~ShortCutItem();
public:
    ShortCutItem(const ShortCutItem & item);
    ShortCutItem & operator= (const ShortCutItem & item);

public:
    void clean();

private:
    void copyData(const ShortCutItem & item);

public:
    int m_macType;          // 机器类型
    int m_showPriority;     // 显示优先级
    QString m_name;         // label名称
    QString m_topImageName; // 顶图图标logo名称
    int m_enumFunction;     // 对应的事件的枚举值

signals:

public slots:
};

#endif // SHORTCUTITEM_H
